--- include/dahdi/kernel.h	2010-08-19 20:03:25.000000000 +0200
+++ include/dahdi/kernel.h	2011-03-18 11:32:32.000000000 +0100
@@ -86,7 +86,9 @@
 #endif
 
 #if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,26)
-#define dev_name(dev)		(dev)->bus_id
+#if RHEL_RELEASE_CODE < RHEL_RELEASE_VERSION(5,6)
+#define dev_name(dev)         (dev)->bus_id
+#endif
 #define dev_set_name(dev, format, ...) \
 	snprintf((dev)->bus_id, BUS_ID_SIZE, format, ## __VA_ARGS__);
 #endif
